commit:     c12f59d93c6fb85f5c86c88c73886cfd9fca4f4c
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 12 21:37:13 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Apr 12 21:52:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c12f59d9

app-text/gspell: fix test dependencies

Closes: https://bugs.gentoo.org/658590
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-text/gspell/gspell-1.8.3.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/app-text/gspell/gspell-1.8.3.ebuild 
b/app-text/gspell/gspell-1.8.3.ebuild
index fa0856fa8c8..70eb544cba3 100644
--- a/app-text/gspell/gspell-1.8.3.ebuild
+++ b/app-text/gspell/gspell-1.8.3.ebuild
@@ -30,7 +30,13 @@ DEPEND="${RDEPEND}
        >=sys-devel/gettext-0.19.6
        virtual/pkgconfig
        vala? ( $(vala_depend) )
+       test? ( app-text/enchant:2[hunspell]
+               || (  app-dicts/myspell-en[l10n_en(+)] 
app-dicts/myspell-en[l10n_en-US(+)] ) )
 "
+# Tests require a en_US dictionary and fail with deprecated enchant aspell 
backend:
+# So enchant[hunspell] + myspell-en ensure they pass (hunspell is ordered 
before aspell),
+# however a different backend like hspell or nuspell + their en_US dict might 
be fine too,
+# but we don't support them at this time (2020-04-12) in enchant:2
 
 src_prepare() {
        use vala && vala_src_prepare

Reply via email to